# workload-identity

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 0.1.0](https://img.shields.io/badge/AppVersion-0.1.0-informational?style=flat-square)

Helm chart to assist with workload identity service accounts for GKE

**Homepage:** <https://gitlab.com/gitlab-com/gl-infra/charts/-/tree/main/gitlab/workload-identity>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Gitlab |  | <https://gitlab.com/gitlab-com/gl-infra/charts> |

## Source Code

* <https://gitlab.com/gitlab-com/gl-infra/charts/gitlab/workload-identity>

## Values

<table>
	<thead>
		<th>Key</th>
		<th>Type</th>
		<th>Default</th>
		<th>Description</th>
	</thead>
	<tbody>
		<tr>
			<td id="createNamespace"><a href="./values.yaml#L7">createNamespace</a></td>
			<td>
bool
</td>
			<td>
				<div>
<pre lang="">
`false`
</pre>
</div>
			</td>
			<td>If set, creates the namespace object as a resource in helm. Generaly leave false but enables use of the chart as a dependancy from another namespace. Useful when this should be deployd to a specific namespace for ConfigConnector funtionality.</td>
		</tr>
		<tr>
			<td id="google--additionalRoleBindings"><a href="./values.yaml#L54">google.additionalRoleBindings</a></td>
			<td>
list
</td>
			<td>
				<div>
<pre lang="">
`[]`
</pre>
</div>
			</td>
			<td>Additional role bindings where you may want to specify members statically additionalRoleBindings:   - member: "serviceAccount:cert-manager@my-gcp-project.iam.gserviceaccount.com"     role: "roles/dns.admin"</td>
		</tr>
		<tr>
			<td id="google--createContext"><a href="./values.yaml#L15">google.createContext</a></td>
			<td>
bool
</td>
			<td>
				<div>
<pre lang="">
`false`
</pre>
</div>
			</td>
			<td>Create a ConfigConnectorContext for config connector.</td>
		</tr>
		<tr>
			<td id="google--customRoles"><a href="./values.yaml#L62">google.customRoles</a></td>
			<td>
list
</td>
			<td>
				<div>
<pre lang="">
`[]`
</pre>
</div>
			</td>
			<td>Add in custom roles ot use with Role assignemtns customRoles:   - name: objectreadonly     permissions:       - "storage.objects.get"       - "storage.objects.list"</td>
		</tr>
		<tr>
			<td id="google--hostProject"><a href="./values.yaml#L13">google.hostProject</a></td>
			<td>
string
</td>
			<td>
				<div>
<pre lang="">
`""`
</pre>
</div>
			</td>
			<td>Use if hosting a SA from another project</td>
		</tr>
		<tr>
			<td id="google--project"><a href="./values.yaml#L11">google.project</a></td>
			<td>
string
</td>
			<td>
				<div>
<pre lang="">
`"myproject"`
</pre>
</div>
			</td>
			<td>GCP Project Name</td>
		</tr>
		<tr>
			<td id="google--serviceAccounts"><a href="./values.yaml#L48">google.serviceAccounts</a></td>
			<td>
list
</td>
			<td>
				<div>
<pre lang="">
`[]`
</pre>
</div>
			</td>
			<td>Google service accounts to create.<br>
Can additionally enable workload identity by specifying a namespace and kubernetesServiceAccount.<br>
Custom roles must be in the format projects/[PROJECT]/roles/[CUSTOM_ROLE].<br>
Standard roles must be prefixed with "roles", e.g: roles/dns.admin.<br> 

<details>
<summary>Example</summary>

```yaml
serviceAccounts:
  - name: external-dns
    displayName: SA for Thanos External DNS
    kubernetesServiceAccount: external-dns
    kubernetesServiceAccounts:
      - ksa2
      - ksa3
    namespace: my-namespace
    createKubernetesServiceAccount: false
    createServiceAccountKey: false
    serviceAccountKeyNamespace: ""
    overrideServiceACcount: whatever@my-gcp-project.iam.gserviceaccount.com # allows to force a service account
    roles:
      - role: projects/my-gcp-project/roles/customRole
        resourceRef:
          kind: "StorageBucket"
          apiVersion: "storage.cnrm.cloud.google.com/v1beta1"
          external: "my-gcp-project"
```

</details></td>
		</tr>
		<tr>
			<td id="namespaceOverride"><a href="./values.yaml#L3">namespaceOverride</a></td>
			<td>
string
</td>
			<td>
				<div>
<pre lang="">
`""`
</pre>
</div>
			</td>
			<td>Override the deployment namespace. Useful when used as a dependancy to another app.</td>
		</tr>
	</tbody>
</table>

----------------------------------------------
This README is autogenerated via [helm-docs](https://github.com/norwoodj/helm-docs) in CI. Do not update manually!!